Subject: Re: [PATCH v3 0/3] compat/mingw: implement POSIX-style atomic renames

From: Junio C Hamano <[email-masked]>
Date: Tue, 05 Nov 2024 19:54:40 -0800

Patrick Steinhardt <[email-masked]> writes:

> Hi,
>
> this is third version of my patch series that introduces POSIX-style
> atomic renames on Windows to fix concurrent writes with the reftable
> backend.
>
> Changes compared to v2:
>
>   - Use `DWORD` instead of `int` to store the `access` flags.
>
>   - Fix handling of `oflags`.
>
>   - Add a comment referring to `mingw_open_append()` for why convert
>     `ERROR_INVALID_PARAMETER` to `ERROR_PATH_NOT_FOUND`.
>
> Thanks!
>
> Patrick

Thanks, Patrick, for listing those who gave reviews on the previous
iterations of these patches.

Reviewers, how does this round look to you?  Is this a version you
folks are comfortable to have in 'next' and later in 'master'?

Thanks.